Skip to main content
POST
/
v1
/
dict
/
reconciliation
/
full
Start Full Reconciliation
curl --request POST \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/reconciliation/full \
  --header 'Authorization: Bearer <token>'
{
  "jobs": [
    {
      "createdAt": "2024-01-15T10:30:00Z",
      "expiresAt": "2024-01-15T12:30:00Z",
      "fileRequestId": "770e8400-e29b-41d4-a716-446655440002",
      "jobId": "550e8400-e29b-41d4-a716-446655440000",
      "keyType": "CPF",
      "status": "WAITING_FILE"
    }
  ],
  "message": "Created 2 full reconciliation jobs",
  "skippedKeyTypes": [
    {
      "keyType": "CNPJ",
      "reason": "Already synchronized (SYNCED)",
      "syncStatus": "SYNCED"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

All key types synchronized

Response from full reconciliation start operation.

jobs
object[]

Jobs contains information about the created jobs.

message
string

Message provides details about the operation. @Example Created 2 full reconciliation jobs

Example:

"Created 2 full reconciliation jobs"

skippedKeyTypes
object[]

SkippedKeyTypes lists key types that were skipped.